TESTING/EIG/dlctsx.f(3)

NAME
TESTING/EIG/dlctsx.f

SYNOPSIS

  Functions/Subroutines
logical function dlctsx (ar, ai, beta)
DLCTSX

Function/Subroutine Documentation

  logical function dlctsx (double precision ar, double precision ai, double precision beta)

DLCTSX

Purpose:

    !>
    !> This function is used to determine what eigenvalues will be
    !> selected.  If this is part of the test driver DDRGSX, do not
    !> change the code UNLESS you are testing input examples and not
    !> using the built-in examples.
    !>

Parameters
    AR

    !>          AR is DOUBLE PRECISION
    !>          The numerator of the real part of a complex eigenvalue
    !>          (AR/BETA) + i*(AI/BETA).
    !>

    AI

    !>          AI is DOUBLE PRECISION
    !>          The numerator of the imaginary part of a complex eigenvalue
    !>          (AR/BETA) + i*(AI).
    !>

    BETA

    !>          BETA is DOUBLE PRECISION
    !>          The denominator part of a complex eigenvalue
    !>          (AR/BETA) + i*(AI/BETA).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 64 of file dlctsx.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.